#include <stdio.h>
#include "../winuser.h"
int _AXstring2GUID(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AXCreateInstance(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _AXDestroyInstance(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AXEnumControls(mmachine m)
{ m->pp+=0;return MMpush(m,NIL); }
int _AXEnumInterfaces(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AXSetSite(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _AXGetFuncList(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AXGetFuncInfo(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AXCallFunc(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _AXrflEvent(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _AXGetInterfaceInfo(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _AXSetSize(mmachine m)
{ m->pp+=5;return MMpush(m,NIL); }
#define NXTensionPKG 16
char* XTensionname[NXTensionPKG]=
{"_AXstring2GUID","_AXCreateInstance","_AXDestroyInstance","_AXEnumControls","_AXEnumInterfaces","_AXSetSite","_AXGetFuncList","_AXGetFuncInfo","_AXCallFunc","_AXrflEvent","_AXGetInterfaceInfo","_AXSetSize","AX","GUID","AXFun","AXInterface"};
int (*XTensionfun[NXTensionPKG])(mmachine m)=
{_AXstring2GUID,_AXCreateInstance,_AXDestroyInstance,_AXEnumControls,_AXEnumInterfaces,_AXSetSite,_AXGetFuncList,_AXGetFuncInfo,_AXCallFunc,_AXrflEvent,_AXGetInterfaceInfo,_AXSetSize,NULL,NULL,NULL,NULL};
int XTensionnarg[NXTensionPKG]=
{1,2,1,0,1,2,1,1,2,3,1,5,TYPTYPE,TYPTYPE,TYPTYPE,TYPTYPE};
char* XTensiontype[NXTensionPKG]=
{"fun [S] GUID","fun [Chn GUID] AX","fun [AX] AX","fun [] [S S S r1]","fun [AX] [AXInterface r1]","fun [ObjWin AX] AX","fun [AXInterface] [AXFun r1]","fun [AXFun] [S S S I]","fun [AXFun [S r1]] S","fun [AX fun [AX u0 S [S r1]] S u0] AX","fun [AXInterface] [S S S I]","fun [AX I I I I] AX",NULL,NULL,NULL,NULL};
int SCOLloadXTension(mmachine m)
{
return PKhardpak(m,"XTension.pkg 1.0",NXTensionPKG,XTensionname,XTensionfun,XTensionnarg,XTensiontype);
}
